addHook("ThinkFrame", function()
    for player in players.iterate
        if player.mo and player.mo.valid and player.mo.skin == "godzilla" then
            -- Ensure the player never runs out of air while underwater
            player.powers[pw_underwater] = 1
        end
    end
end)

-- Add a custom HUD hook to modify underwater timer behavior
hud.add(function(v, player, camera)
    if player.mo and player.mo.valid and player.mo.skin == "godzilla" then

        if camera.chase == 0 then
            return -- Skip drawing the timer
        end
    end
end, "game")